#ifndef MLX90620_H
#define MLX90620_H

#include "mbed.h"

class MLX90620 {

public:
    MLX90620(I2C* i2c);
    int GetEEPROM();
    int SetOscTrimReg();
    unsigned short GetOscTrimReg();
    int SetConfigReg();
    unsigned short GetConfigReg();
    unsigned short GetPTATReg();
    short GetTGCReg();
    int GetMLXRam();
    int StartMeasurement();
    float GetDieTemp(); 
    int CalcTa_To();
    double CalcPixel(int Pixel);
    
private:
    I2C* i2c;
    unsigned short Config;
    unsigned short OscTrim;
    unsigned short PtatD;
    short VCP;
    short Vth25X;
    signed char AcpX;
    signed char BcpX;
    float Kt1fX;
    float Kt2fX;
    float TaXX;
    signed char TGCX;
    char BiScaleX;
    unsigned short theta0X;
    char theta0ScaleX;
    char deltaThetaScaleX;
    unsigned short elipsonX;
    signed char AiPixelX;
    signed char BiPixelX;
    char dThetaPixelX;
    short VirPixelX;
    double TempPxlX;
}; 
 
#endif